Bug 250965 - Microphone doesn't work with HDA Intel
Microphone doesn't work with HDA Intel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-06 03:21 EDT by Walery Studennikov
Modified: 2009-06-11 08:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:06:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/alsa/alsa.conf (8.38 KB, text/plain)
2007-08-06 03:21 EDT, Walery Studennikov
no flags Details
/etc/alsa/pcm/dmix.conf (1.43 KB, application/octet-stream)
2007-08-06 03:22 EDT, Walery Studennikov
no flags Details

  None (edit)
Description Walery Studennikov 2007-08-06 03:21:46 EDT
Description of problem:
Microphone doesn't work with HDA Intel sound hardware

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3228.fc7
alsa-lib-1.0.14-0.4.rc3.fc7

How reproducible:
Try to use microphone in any application

Steps to Reproduce:
1. run alsamixer -V capture -c 0
Activate "Mic" and "Capture" there
Turn "Capture" volume to maximum

2. run alsamixer
Set "Mic" volume to maximum

3. Try to record sound in any application (krec, skype-1.4.0.74)
  
Actual results:
Microphone is mute under any conditions (any sound settings, any volume settings)

Expected results:
Microphone should work

Additional info:
When skype starts (and during work), it prints warnings:
ALSA lib pcm_dmix.c:803:(snd_pcm_dmix_open) The dmix plugin supports only
playback stream

My alsa.conf and dmix.conf is attached
Comment 1 Walery Studennikov 2007-08-06 03:21:46 EDT
Created attachment 160733 [details]
/etc/alsa/alsa.conf
Comment 2 Walery Studennikov 2007-08-06 03:22:53 EDT
Created attachment 160734 [details]
/etc/alsa/pcm/dmix.conf
Comment 3 Chuck Ebbert 2007-08-06 15:10:45 EDT
Current Fedora 7 kernel is 2.6.22.1-41.fc7.
Comment 4 Walery Studennikov 2007-08-07 01:32:23 EDT
The same situation with the current kernel:
"ALSA lib pcm_dmix.c:803:(snd_pcm_dmix_open) The dmix plugin supports only
playback stream"
Comment 5 Bug Zapper 2008-05-14 09:53:27 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 22:06:40 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.